org.apache.fop.render.gradient

## Class Pattern

- java.lang.Object
- - org.apache.fop.render.gradient.Pattern

-     public class Pattern
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Double>` | `getMatrix()`
    `int` | `getPatternType()` Either one (1) for tiling, or two (2) for shading.
    `Shading` | `getShading()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPatternType

          public int getPatternType()

      Either one (1) for tiling, or two (2) for shading.

    - #### getShading

          public Shading getShading()

    - #### getMatrix

          public java.util.List<java.lang.Double> getMatrix()

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.